Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementtrivialN/A2015-07-15 17:392015-08-20 23:16
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8578a3f9632c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030372: Add accounting date to Add Multiple Payments

DescriptionThe new Add Multiple Payment process, available since 15Q3, already has a Transaction Date field. It would be better to add an Accounting Date field too, so the transactions are created for this accounting date.
Steps To ReproduceGo to Financial Account
Select any record
Press Add Multiple Payments
Only Transaction Date field is shown.
Proposed SolutionAdd a new Accounting Date field similar to Transaction Date:
* Mandatory
* Default to "today"

The created transaction(s) will be have the entered accounting date.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00301433.0PR15Q3 closedvmromanos It is not possible to deposit more than one payment at the same time after 3.0PR14Q4 
depends on backport 00303733.0PR15Q3 closedvmromanos Add accounting date to Add Multiple Payments 

-  Notes
(0078830)
vmromanos (developer)
2015-07-15 17:43
edited on: 2015-07-15 17:43

Test plan:
Go to Payment In window.
Create a new record
  BP: Alimentos
  Payment method: Cheque
Press add details:
  Add a new GL Item with any received amount
Process the payment (do not deposit!)

Go to Payment Out window
Create a new record
  BP: Bebidas
  Payment Method: Cheque
Press add details:
  Add a new GL Item with any paid out amount
Process the payment (do not withdrawal!)

Go to Financial Account
Select Cuenta de Banco
Press the new "Add Multiple Payments" button
Verify the 2 payments created before are shown
Verify transaction date is set to today by default. Modify it to any date in the future
Verify accounting date is set to today by default. Modify it to any date in the future (different from transaction date)
Select all the payments and press done
Verify a successful message is shown with the number of transactions created
Verify the transactions are created and processed.
Verify the transaction date and accounting date are the same entered in the process popup

(0078858)
hgbot (developer)
2015-07-16 12:14

Repository: erp/devel/pi
Changeset: 8578a3f9632cd3105490f69d26526df828c00a04
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Jul 15 17:49:30 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8578a3f9632cd3105490f69d26526df828c00a04 [^]

Fixed issue 30372: Added accounting date to Add Multiple Payments process

A new process parameter called Accounting Date has been added to the Add Multiple Payments process. The transaction(s) created by this process will have the entered Accounting Date (in a similar way we already do for the transaction date).

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddMultiplePaymentsHandler.java
---
(0078871)
dmiguelez (developer)
2015-07-16 12:49

Code Review + Testing Ok
(0079496)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-15 17:39 vmromanos New Issue
2015-07-15 17:39 vmromanos Assigned To => vmromanos
2015-07-15 17:39 vmromanos Modules => Core
2015-07-15 17:39 vmromanos Triggers an Emergency Pack => No
2015-07-15 17:39 vmromanos Status new => scheduled
2015-07-15 17:41 vmromanos Relationship added related to 0030143
2015-07-15 17:43 vmromanos Note Added: 0078830
2015-07-15 17:43 vmromanos Note Edited: 0078830 View Revisions
2015-07-16 12:14 hgbot Checkin
2015-07-16 12:14 hgbot Note Added: 0078858
2015-07-16 12:14 hgbot Status scheduled => resolved
2015-07-16 12:14 hgbot Resolution open => fixed
2015-07-16 12:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8578a3f9632cd3105490f69d26526df828c00a04 [^]
2015-07-16 12:49 dmiguelez Review Assigned To => dmiguelez
2015-07-16 12:49 dmiguelez Note Added: 0078871
2015-07-16 12:49 dmiguelez Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079496


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker